package spring.aop.simulation.proxy.advice.interceptor;

import spring.aop.simulation.proxy.advice.Interceptor;
import spring.aop.simulation.proxy.advice.MethodInvocation;

public class MethodReturningAdviceInterceptor implements Interceptor {

    @Override
    public Object invoke(MethodInvocation mi) throws Throwable {
        Object retVal = mi.proceed();
        
        System.out.println("do sth. after returning...");
        
        return retVal;
    }
}