package spring.aop.simulation.proxy.advice.interceptor;

import spring.aop.simulation.proxy.advice.Interceptor;
import spring.aop.simulation.proxy.advice.MethodInvocation;

public class MethodThrowingAdviceInterceptor implements Interceptor { 

    @Override
    public Object invoke(MethodInvocation mi) throws Throwable {
        try {
            return mi.proceed();
        } catch (Throwable ex) {
            System.out.println("do sth. after throwing...");
            
            throw ex;
        }
    }
}